#*
# *  plog // a blog cms system written in perl using xml for contents
# ****************************************************************************
# *  This source is covered by the GNU GPL http://www.gnu.org
# *  (c) 2003 - 2005 www.strg.at
# *  Software distributed under the License is distributed on an "AS IS"
# *  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# *  License for a specific language governing rights and limitations under
# *  the License.
# *
# *  The Initial Developer is: Juergen Schmidt <juergen@strg.at>
# ****************************************************************************/

#/**
# * DESCRIPTION: mainconfiguration
# * @package  plog
# * @author   juergen schmidt <juergen@strg.at>
# * @since    Version 0.1
# * @version  1.0
# * @license  http://gnu.org
# */

use strict;

{
  package config;

	# plog system data
	$config::version = '0.1';
	$config::author = 'xir';
  $config::system = 'plog // the perl blogger';
	$config::host = "daemon.nethack.at";
	$config::path = "/usr/home/js/www/plog/";
	$config::title = "plog // xir's perl blogger";

  # template settings
	$config::tmpl = 'templates/default';
	$config::tmpl::start = 'index.tpl';
	$config::tmpl::badparams = 0;
	$config::tmpl::case = 0;

	# plog content xml-files
	$config::blog = $config::path . 'content/blog.xml';
  $config::vers = $config::path . 'content/version.xml';
  $config::about = $config::path . 'content/about.xml';

}
return 1;
